"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CubeStoreDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class CubeStoreDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_CUBESTORE_VERSION || options.version || 'latest';
        const container = new testcontainers_1.GenericContainer(`cubejs/cubestore:${version}`)
            .withStartupTimeout(10 * 1000)
            .withExposedPorts(3030);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.CubeStoreDBRunner = CubeStoreDBRunner;
//# sourceMappingURL=cubestore.js.map